//========= Copyright © 1996-2005, Valve Corporation, All rights reserved. ============//
//
// Purpose:		
//
//=============================================================================//

#ifndef HL2_PYERRPRINT_H
#define HL2_PYERRPRINT_H

#ifdef _WIN32
#pragma once
#endif

#define PY_EXPORT __declspec(dllexport)

//struct PyObject;

// error printing
void PyErr_PrintEx_HL2(int set_sys_last_vars);
void PyErr_Print_HL2();

void PyErr_Display_HL2(PyObject *exception, PyObject *value, PyObject *tb);

#endif // HL2_PYERRPRINT_H